using XGame.Framework.Map;

namespace FL.Battle
{
    public static class EntityExt
    {
        public static MoveComponent MoveCom(this IEntityView entity)
        {
            return entity.GetComponent<MoveComponent>();
        }
        public static void MoveTo(this IEntityView entity, MoveArgs args)
        {
            var component = entity.GetComponent<MoveComponent>();
            component.MoveTo(args);
        }
    }
}
